Subject: Re: [Perl 5.6] Cpan.pm
From: Earnie Boyd <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: "Gerrit P. Haase" <[email-masked]>, [email-masked]
Date: Fri, 3 Nov 2000 20:03:42 -0800 (PST)

--- "Charles S. Wilson" <[email-masked]> wrote:
> 
> > 
> > > I've posted the patches to this list previously; search the archives....
> > >
> > 
> > I didn't use them.  As a matter of fact I modified the cygwin.c source to
> > remove the cwd coding and that worked fine.  I need to take a look at your
> > patches to see what you did.
> 
> They aren't "mine" -- I culled them from the perl5-porters list and some
> were sent to me privately.
> 

Ok, I still need to take a look at them.

> > 
> > > >
> > > > CYGWIN=binmode tty ntea nontsec
> > >
> > 
> > I don't even have CYGWIN set.
> 
> Did you run make test or perl harness?  That's where the ntsec/nontsec
> ntea/<> made a difference.  In any case, I'm glad to hear you could
> build without taking special steps.
> 

I did do a make test and I don't remember the numbers, it was over 94%.  I'll
let you know later for sure.  I remember that I had two SIGSEGV's and one popup
dialogue where the test couldn't find the cygwin1.dll.  I haven't had time to
chase these.

> > 
> > >
> > > I replaced /bin/sh.exe with a copy of /bin/bash.exe.
> > >
> > 
> > I use the normal /bin/sh.exe == ash.
> 
> Well, ash has been updated three times (or more) since last May --
> perhaps the continual improvement of ash has made it possible to build
> perl with it, rather than bash.  (Try building with an *old* version of
> ash if you want pain....)
> 

I've used ash since B19 and I've built perl several times.  The biggest
headache was when entering the data for one prompt meant that the default for
the next prompt would be taken without stopping to get the answer in the
Configure script.

> > 
> > One other thing that I've done is to make sure that _WIN32 and WINNT aren't
> > defined by default.  I.E.: I changed Chris' addition of -mno-win32 to
> -mwin32
> > and defined unix, _unix, __unix and __unix__ just in case.  Probably unix
> would
> > have been enough.  Also, when specifying -mwin32 my specs don't define the
> unix
> > macros.
> 
> Huh? I don't understand.
> 

I was trying to say I don't have _WIN32 and WINNT defined and I do have unix
defined.

Cheers,

=====
Earnie Boyd
mailto:[email-masked]

---         <http://earniesystems.safeshopper.com>         ---
--- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
---   Minimalist GNU for Windows <http://www.mingw.org/>   ---

__________________________________________________
Do You Yahoo!?
Thousands of Stores.  Millions of Products.  All in one Place.
http://shopping.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]